GNU bug report logs - #7046
23.1; Repeating emacs macro skipping every second line

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Gord Wait <gordwait@HIDDEN>; merged with #8114, #10461; dated Thu, 16 Sep 2010 19:00:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 7046 8114 10461. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Disconnected #7526 from all other report(s). Request was from Johan Bockgard <bojohan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 7046 7526 8114. Request was from Johan Bockgård <bojohan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 7046 7526. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 7046 <at> debbugs.gnu.org:


Received: (at 7046) by debbugs.gnu.org; 25 Sep 2010 23:42:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 19:42:38 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OzeO5-00059f-TK
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2010 19:42:38 -0400
Received: from smtprelay-h22.telenor.se ([195.54.99.197])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <bojohan@HIDDEN>) id 1OzeO3-00059V-5e
	for 7046 <at> debbugs.gnu.org; Sat, 25 Sep 2010 19:42:36 -0400
Received: from ipb4.telenor.se (ipb4.telenor.se [195.54.127.167])
	by smtprelay-h22.telenor.se (Postfix) with ESMTP id 3851EC0C0
	for <7046 <at> debbugs.gnu.org>; Sun, 26 Sep 2010 01:45:17 +0200 (CEST)
X-SENDER-IP: [85.228.198.31]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AuhHAB4mnkxV5MYfPGdsb2JhbACHbZpfDAEBAQE1LcRMhUME
X-IronPort-AV: E=Sophos;i="4.57,237,1283724000"; d="scan'208";a="1675053970"
Received: from c-1fc6e455.04-211-6c6b701.cust.bredbandsbolaget.se (HELO
	muon.localdomain) ([85.228.198.31])
	by ipb4.telenor.se with ESMTP; 26 Sep 2010 01:45:17 +0200
Received: by muon.localdomain (Postfix, from userid 1000)
	id EE202484285; Sun, 26 Sep 2010 01:45:16 +0200 (CEST)
From: =?utf-8?Q?Johan_Bockg=C3=A5rd?= <bojohan@HIDDEN>
To: Gord Wait <gordwait@HIDDEN>
Subject: Re: bug#7046: More info
References: <D99DCE939A765644BCA10192DD977AED051E8CBDD9@HIDDEN>
	<D99DCE939A765644BCA10192DD977AED051E8CBDDB@HIDDEN>
Mail-Copies-To: never
Date: Sun, 26 Sep 2010 01:45:16 +0200
In-Reply-To: <D99DCE939A765644BCA10192DD977AED051E8CBDDB@HIDDEN>
	(Gord Wait's message of "Thu, 16 Sep 2010 13:35:44 -0700")
Message-ID: <874oddpeur.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: 7046
Cc: "'7046 <at> debbugs.gnu.org'" <7046 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Gord Wait <gordwait@HIDDEN> writes:

> I also tried using "forward-line" and got similar results.

Really?

> It seems to be dependent on how many repeats I select. If I auto
> repeat say 10 lines worth, It seems to be ok. If I auto repeat the
> macro 1000 times, then it starts to skip every line at some point..

next-line can move to the wrong column when point gets below the end of
the window.

The problem is in line-move-visual (i.e it only exists if the variable
line-move-visual is non-nil),

    ;; Otherwise, we should reset `temporary-goal-column'.
    (let ((posn (posn-at-point)))
      (cond
       ;; Handle the `overflow-newline-into-fringe' case:
       ((eq (nth 1 posn) 'right-fringe)
        (setq temporary-goal-column (cons (- (window-width) 1) hscroll)))
       ((car (posn-x-y posn))
        (setq temporary-goal-column
              (cons (/ (float (car (posn-x-y posn)))
                       (frame-char-width)) hscroll)))))

If the position is not visible in the window, posn-at-point returns nil
and temporary-goal-column is not updated as it should.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7046; Package emacs. Full text available.

Message received at 7046 <at> debbugs.gnu.org:


Received: (at 7046) by debbugs.gnu.org; 17 Sep 2010 19:08:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 15:08:27 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OwgIM-0005Mt-5C
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2010 15:08:26 -0400
Received: from mailex.lighthauslogic.com ([207.216.240.196])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <gordwait@HIDDEN>) id 1Owfwy-0005EK-R6
	for 7046 <at> debbugs.gnu.org; Fri, 17 Sep 2010 14:46:21 -0400
Received: from tweety.yvr.lighthauslogic.com ([192.168.2.12]) by
	tweety.yvr.lighthauslogic.com ([192.168.2.12]) with mapi;
	Fri, 17 Sep 2010 11:48:43 -0700
From: Gord Wait <gordwait@HIDDEN>
To: 'Stefan Monnier' <monnier@HIDDEN>
Date: Fri, 17 Sep 2010 11:45:36 -0700
Subject: RE: bug#7046: More info
Thread-Topic: bug#7046: More info
Thread-Index: ActWffpsWYYx6m1MSKeAyXENi4BC1wAGhVGw
Message-ID: <D99DCE939A765644BCA10192DD977AED051FB3FEED@HIDDEN>
References: <D99DCE939A765644BCA10192DD977AED051E8CBDD9@HIDDEN>
	<D99DCE939A765644BCA10192DD977AED051E8CBDDB@HIDDEN>
	<jwvbp7wfkq2.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwvbp7wfkq2.fsf-monnier+emacs@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
acceptlanguage: en-US
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 7046
X-Mailman-Approved-At: Fri, 17 Sep 2010 15:08:23 -0400
Cc: "'7046 <at> debbugs.gnu.org'" <7046 <at> debbugs.gnu.org>,
	"'rgm@HIDDEN'" <rgm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

Hopefully this update will make it, Glenn Morris emailed me to note that th=
e 7046 bug got closed (by accident)..

Here is the explanation. Below it are some sample lines. Build a file with =
a couple hundred of those lines to test against..

--------------------------------------------

The goal of the edit work is to cut the last "word" of each line and place =
it as the first "word" of each line.
(Later I sort-lines, this way the lines are sorted by the value of the orig=
inal last word of the line)..

I create a keyboard macro that knows the line syntax, and does one line of =
work:


(fset 'moveword
   [?\C-s ?- ?t ?o ?\C-f ?\C-  ?\C-e ?\C-w ?\C-a ?\C-y ?  ?\C-a ?\C-n])

Macro edit view of the same thing:
Macro:

C-s                     ;; isearch-forward
-to                     ;; self-insert-command * 3
C-f                     ;; forward-char
C-SPC                   ;; set-mark-command
C-e                     ;; move-end-of-line
C-w                     ;; kill-region
C-a                     ;; move-beginning-of-line
C-y                     ;; yank
SPC                     ;; self-insert-command
C-a                     ;; move-beginning-of-line
C-n                     ;; next-line

Place the cursor at the start of any line and run the macro once

(Esc-x moveword)

It finds the ascii "-to" word, moves ahead to the last word, cuts and paste=
s it at the start, then drops down one line.

Try it repeatedly for a few lines manually to show the macro works as desir=
ed..

Now try to auto repeat the macro 100 times:

(Ctrl-u 100 Esc-x moveword)

Macro repeats, but at some point starts skipping a line.

I also manually executed the macro succesfully on lines that failed the 100=
 repeat, to show that it wasn't some artifact of those failed lines..

-----------------------------------------------
Sample lines to be manipulated by the macro.. Make a file with a few hundre=
d of these in it. Duplicating these ones will be fine to show the bug. In t=
he real file each line is unique.
-----------------------------------------------
set_location_assignment PIN_AP23 -to ddr3bot_dq[36]
set_location_assignment PIN_AM23 -to ddr3bot_dq[35]
set_location_assignment PIN_AT23 -to ddr3bot_dq[34]
set_location_assignment PIN_AN23 -to ddr3bot_dq[33]
set_location_assignment PIN_AU23 -to ddr3bot_dq[32]
set_location_assignment PIN_AK17 -to ddr3bot_dq[31]
set_location_assignment PIN_AG17 -to ddr3bot_dq[30]
set_location_assignment PIN_AH17 -to ddr3bot_dq[29]
set_location_assignment PIN_AG16 -to ddr3bot_dq[28]
set_location_assignment PIN_AL17 -to ddr3bot_dq[27]
set_location_assignment PIN_AH16 -to ddr3bot_dq[26]
set_location_assignment PIN_AM17 -to ddr3bot_dq[25]
set_location_assignment PIN_AJ16 -to ddr3bot_dq[24]
set_location_assignment PIN_AU15 -to ddr3bot_dq[23]
set_location_assignment PIN_AR17 -to ddr3bot_dq[22]
set_location_assignment PIN_AT15 -to ddr3bot_dq[21]
set_location_assignment PIN_AP17 -to ddr3bot_dq[20]
set_location_assignment PIN_AV16 -to ddr3bot_dq[19]
set_location_assignment PIN_AN16 -to ddr3bot_dq[18]
set_location_assignment PIN_AW16 -to ddr3bot_dq[17]
set_location_assignment PIN_AT16 -to ddr3bot_dq[16]
set_location_assignment PIN_AW12 -to ddr3bot_dq[15]
set_location_assignment PIN_AV11 -to ddr3bot_dq[14]
set_location_assignment PIN_AU14 -to ddr3bot_dq[13]
set_location_assignment PIN_AW11 -to ddr3bot_dq[12]
set_location_assignment PIN_AV14 -to ddr3bot_dq[11]
set_location_assignment PIN_AU12 -to ddr3bot_dq[10]
set_location_assignment PIN_AW14 -to ddr3bot_dq[9]
set_location_assignment PIN_AT12 -to ddr3bot_dq[8]
set_location_assignment PIN_AP13 -to ddr3bot_dq[7]
set_location_assignment PIN_AP14 -to ddr3bot_dq[6]
set_location_assignment PIN_AN13 -to ddr3bot_dq[5]
set_location_assignment PIN_AR14 -to ddr3bot_dq[4]
set_location_assignment PIN_AL14 -to ddr3bot_dq[3]
set_location_assignment PIN_AN14 -to ddr3bot_dq[2]
set_location_assignment PIN_AM13 -to ddr3bot_dq[1]
set_location_assignment PIN_AM14 -to ddr3bot_dq[0]
set_location_assignment PIN_AL23 -to ddr3bot_dqs_n[7]
set_location_assignment PIN_AU26 -to ddr3bot_dqs_n[6]



-----Original Message-----
From: Stefan Monnier [mailto:monnier@HIDDEN]
Sent: Friday, September 17, 2010 8:35 AM
To: Gord Wait
Cc: '7046 <at> debbugs.gnu.org'
Subject: Re: bug#7046: More info

> I also tried using "forward-line" and got similar results.  It seems
> to be dependent on how many repeats I select. If I auto repeat say 10
> lines worth, It seems to be ok. If I auto repeat the macro 1000 times,
> then it starts to skip every line at some point..

Both cases sound like bugs, but without a concrete test case it's
difficult to track it down.  Can you provide a precise test case
(e.g. a sample file and the key strokes you hit to define and run the
macro, ideally starting from "emacs -Q")?


        Stefan

This e-mail may contain information that is privileged, confidential or oth=
erwise exempt from disclosure under applicable laws. Unauthorized use, repr=
oduction or dissemination of the e-mail is strictly prohibited. If you have=
 received this e-mail in error, please contact the sender immediately. [11E=
ABB509DF]




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7046; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Disconnected #7046 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 7046 <at> debbugs.gnu.org:


Received: (at 7046) by debbugs.gnu.org; 17 Sep 2010 15:33:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 11:33:09 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Owcw1-0002Kz-5c
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2010 11:33:09 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1Owcw0-0002Ku-7p
	for 7046 <at> debbugs.gnu.org; Fri, 17 Sep 2010 11:33:08 -0400
Received: from ceviche.home (vpn-132-204-232-179.acd.umontreal.ca
	[132.204.232.179])
	by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id o8HFZRxb016180;
	Fri, 17 Sep 2010 11:35:28 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id 142B366289; Fri, 17 Sep 2010 17:35:27 +0200 (CEST)
From: Stefan Monnier <monnier@HIDDEN>
To: Gord Wait <gordwait@HIDDEN>
Subject: Re: bug#7046: More info
Message-ID: <jwvbp7wfkq2.fsf-monnier+emacs@HIDDEN>
References: <D99DCE939A765644BCA10192DD977AED051E8CBDD9@HIDDEN>
	<D99DCE939A765644BCA10192DD977AED051E8CBDDB@HIDDEN>
Date: Fri, 17 Sep 2010 17:35:27 +0200
In-Reply-To: <D99DCE939A765644BCA10192DD977AED051E8CBDDB@HIDDEN>
	(Gord Wait's message of "Thu, 16 Sep 2010 13:35:44 -0700")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV3624=0
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 7046
Cc: "'7046 <at> debbugs.gnu.org'" <7046 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

> I also tried using "forward-line" and got similar results.  It seems
> to be dependent on how many repeats I select. If I auto repeat say 10
> lines worth, It seems to be ok. If I auto repeat the macro 1000 times,
> then it starts to skip every line at some point..

Both cases sound like bugs, but without a concrete test case it's
difficult to track it down.  Can you provide a precise test case
(e.g. a sample file and the key strokes you hit to define and run the
macro, ideally starting from "emacs -Q")?


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7046; Package emacs. Full text available.

Message received at 7046 <at> debbugs.gnu.org:


Received: (at 7046) by debbugs.gnu.org; 16 Sep 2010 20:34:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 16 16:34:23 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OwL9y-000233-DG
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2010 16:34:23 -0400
Received: from mailex.lighthauslogic.com ([207.216.240.196])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <gordwait@HIDDEN>) id 1OwL94-000214-AN
	for 7046 <at> debbugs.gnu.org; Thu, 16 Sep 2010 16:33:27 -0400
Received: from tweety.yvr.lighthauslogic.com ([192.168.2.12]) by
	tweety.yvr.lighthauslogic.com ([192.168.2.12]) with mapi;
	Thu, 16 Sep 2010 13:35:45 -0700
From: Gord Wait <gordwait@HIDDEN>
To: "'7046 <at> debbugs.gnu.org'" <7046 <at> debbugs.gnu.org>
Date: Thu, 16 Sep 2010 13:35:44 -0700
Subject: More info
Thread-Topic: More info
Thread-Index: ActV3rtZMGme7vXnQP6huo/bbwAeUQ==
Message-ID: <D99DCE939A765644BCA10192DD977AED051E8CBDDB@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
acceptlanguage: en-US
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: 7046
X-Mailman-Approved-At: Thu, 16 Sep 2010 16:34:21 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.5 (---)

I also tried using "forward-line" and got similar results.

It seems to be dependent on how many repeats I select. If I auto repeat say=
 10 lines worth,
It seems to be ok. If I auto repeat the macro 1000 times, then it starts to=
 skip every line at some point..


This e-mail may contain information that is privileged, confidential or oth=
erwise exempt from disclosure under applicable laws. Unauthorized use, repr=
oduction or dissemination of the e-mail is strictly prohibited. If you have=
 received this e-mail in error, please contact the sender immediately. [11E=
ABB509DF]




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7046; Package emacs. Full text available.
Merged 7046 7047. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Sep 2010 18:59:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 16 14:59:32 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OwJgB-0008St-Aj
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2010 14:59:31 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <gordwait@HIDDEN>) id 1OwJda-0008RB-Is
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2010 14:56:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <gordwait@HIDDEN>) id 1OwJfp-0006Rm-RM
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2010 14:59:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.6 required=5.0 tests=BAYES_00,
	RECEIVED_FROM_WINDOWS_HOST, T_RP_MATCHES_RCVD autolearn=no version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:55764)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <gordwait@HIDDEN>) id 1OwJfp-0006Rf-MV
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2010 14:59:09 -0400
Received: from [140.186.70.92] (port=43256 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OwJfo-0001Tt-FK
	for bug-gnu-emacs@HIDDEN; Thu, 16 Sep 2010 14:59:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <gordwait@HIDDEN>) id 1OwJfn-0006RD-Ba
	for bug-gnu-emacs@HIDDEN; Thu, 16 Sep 2010 14:59:08 -0400
Received: from mailex.lighthauslogic.com ([207.216.240.196]:47168)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <gordwait@HIDDEN>) id 1OwJfm-0006R2-TX
	for bug-gnu-emacs@HIDDEN; Thu, 16 Sep 2010 14:59:07 -0400
Received: from tweety.yvr.lighthauslogic.com ([192.168.2.12]) by
	tweety.yvr.lighthauslogic.com ([192.168.2.12]) with mapi;
	Thu, 16 Sep 2010 11:38:26 -0700
From: Gord Wait <gordwait@HIDDEN>
To: "'bug-gnu-emacs@HIDDEN'" <bug-gnu-emacs@HIDDEN>
Date: Thu, 16 Sep 2010 11:38:25 -0700
Subject: 23.1; Repeating emacs macro skipping every second line
Thread-Topic: 23.1; Repeating emacs macro skipping every second line
Thread-Index: ActVzlCf3HopWOjVRLmQq7TohP/6TQ==
Message-ID: <D99DCE939A765644BCA10192DD977AED051E8CBDD9@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
acceptlanguage: en-US
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: Windows 2000 SP4, XP SP1+
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 16 Sep 2010 14:59:29 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.3 (-----)

I created a keyboard macro to move a word from the end of the line to the s=
tart of the line. At the end of it I include the commands - "move-beggining=
-of-line" followed by "next-line" so that I can repeat it through my file.
If I run it interactively "by hand" it works great. If I call it with a num=
erical repeat value to make it run say 20 times, it skips every second line=
.

This basically makes keyboard macros useless to me for the first time in ov=
er 25 years of using emacs.. I will try "forward-line" to see if it behaves=
 the same way..



In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-29 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: C.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Tcl

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x ( C-s P I N _ C-f C-s - t o C-f C-SPC C-e C-w C-a
C-y SPC C-a C-n C-x ) C-x C-s C-x e C-x e C-x e C-x
C-s C-k C-/ C-u 2 0 C-x e C-/ C-/ C-/ C-/ C-/ C-/ C-/
C-/ C-/ C-/ C-/ C-/ C-a C-x C-s <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <menu-bar> <help-menu>
<send-emacs-bug-report>

Recent messages:
Saving file c:/firmware/projects/Proj_137_UC_S2_ExtremeCard_Stratix/trunk/b=
oard_test_system_for_S4_card/bts_config/bts_config_pinout.tcl...
Wrote c:/firmware/projects/Proj_137_UC_S2_ExtremeCard_Stratix/trunk/board_t=
est_system_for_S4_card/bts_config/bts_config_pinout.tcl
(Type e to repeat macro) [3 times]
Saving file c:/firmware/projects/Proj_137_UC_S2_ExtremeCard_Stratix/trunk/b=
oard_test_system_for_S4_card/bts_config/bts_config_pinout.tcl...
Wrote c:/firmware/projects/Proj_137_UC_S2_ExtremeCard_Stratix/trunk/board_t=
est_system_for_S4_card/bts_config/bts_config_pinout.tcl
Undo!
(Type e to repeat macro)
Undo! [12 times]
Saving file c:/firmware/projects/Proj_137_UC_S2_ExtremeCard_Stratix/trunk/b=
oard_test_system_for_S4_card/bts_config/bts_config_pinout.tcl...
Wrote c:/firmware/projects/Proj_137_UC_S2_ExtremeCard_Stratix/trunk/board_t=
est_system_for_S4_card/bts_config/bts_config_pinout.tcl

*** E-Mail body has been placed on clipboard, please paste them here! ***

This e-mail may contain information that is privileged, confidential or oth=
erwise exempt from disclosure under applicable laws. Unauthorized use, repr=
oduction or dissemination of the e-mail is strictly prohibited. If you have=
 received this e-mail in error, please contact the sender immediately. [11E=
ABB509DF]




Acknowledgement sent to Gord Wait <gordwait@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7046; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 8 Jun 2016 03:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.